﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.UI.Xaml.Schedule;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            schedule.MoveToTime(new TimeSpan(9,0,0));
            schedule.Appointments.Add(new ScheduleAppointment()
            {
                StartTime = DateTime.Now.Date.AddHours(10),
                EndTime = DateTime.Now.Date.AddHours(12),
                Subject = "Meet the doctor",
                Location = "Hutchison road", AllDay = false
            });
            
            schedule.AppointmentStartResizing += Schedule_AppointmentStartResizing;
        }


        private void Schedule_AppointmentStartResizing(object sender, AppointmentStartResizingEventArgs e)
        {
            e.Cancel = true;
        }

    }
}
